package com.red.circle.other.infra.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 管理员工资政策类型枚举.
 *
 * @author AI Assistant
 * @since 2025-12-13
 */
@Getter
@AllArgsConstructor
public enum AdminPolicyType {

    /**
     * BD团队工资政策.
     */
    BD_TEAM_SALARY("BD_TEAM_SALARY", "BD团队工资政策"),

    /**
     * BD团队充值政策.
     */
    BD_TEAM_RECHARGE("BD_TEAM_RECHARGE", "BD团队充值政策"),

    /**
     * 充值代理政策.
     */
    RECHARGE_AGENT("RECHARGE_AGENT", "充值代理政策"),

    /**
     * BD Leader政策.
     */
    BD_LEADER("BD_LEADER", "BD Leader政策");

    private final String code;
    private final String desc;
}
